#ifndef COMBATANT_H
#define COMBATANT_H

#include "SDL.h"
#include "SDL_gfxPrimitives.h"
#include "SDL_ttf.h"
#include <vector>
#include <string>
using namespace std;

#include "InputObj.h"

class Combatant {
 public:
  Combatant ();
  ~Combatant ();

  //add animation later
  void setStats (Uint8 maxHP, string &);
  void processInput (const SDL_Event &);
  void render (SDL_Surface * dest, TTF_Font * font);
  bool takeDamage (Uint8 dmg);
  Uint8 getHp ();
  Uint8 getMaxHp ();
  InputObj * getIo ();

  void setInput (InputObj * i);
  void setSide (bool);
  bool getAreYouDead ();

  void animate (Uint8, Uint32);
  string getName ();

  void setName (string);
  void addMaxHP (Uint8);
  void setMaxHP (Uint8);
  void addHP (Uint8);

 protected:
  SDL_Surface * textOutput;

  string * name;
  Uint8 maxHp;
  Uint8 hp;
  bool playerSide;
  bool areYouDead;
  InputObj * io;

  //temporary animation
  Uint8 animMode;
  Uint32 animTimer;
};
#endif
