#ifndef DRAWWINDOW_H
#define DRAWWINDOW_H

#include "SDL.h"
#include "SDL_gfxPrimitives.h"

#include "LinePattern.h"

class DrawWindow {
 public:
  DrawWindow ();

  void setLinePattern (LinePattern *);
  void drawEvaluator (bool, Uint8, Sint16, Sint16, Sint32 &, Uint16);
  int getDrawingStatus ();
  SDL_Rect getDimensions ();

  void render (SDL_Surface *, bool);
  void init (SDL_Color &);

  Uint32 getTempPrint ();

  ~DrawWindow ();

 protected:
  LinePattern * lp;
  SDL_Rect dimensions;
  SDL_Rect * attStruct;
  Uint8 endBurn;
  Uint8 numHits;

  int drawingState;
  int timeFromLast;
};

#endif
